package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统空间
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_SYSTEM_SPACE")
@ApiModel(value="TabSystemSpace对象", description="系统空间")
public class TabSystemSpace implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "文件路径")
    @TableField("FILEPATH")
    private String filepath;

    @ApiModelProperty(value = "类型")
    @TableField("TYPE")
    private String type;

    @ApiModelProperty(value = "ip")
    @TableField("IP")
    private String ip;

    @ApiModelProperty(value = "描述")
    @TableField("DESCRIPTION")
    private String description;

    @ApiModelProperty(value = "文件大小")
    @TableField("FILE_SPACE")
    private String fileSpace;

    @ApiModelProperty(value = "可用空间")
    @TableField("USABLE_SPACE")
    private String usableSpace;

    @ApiModelProperty(value = "总空间")
    @TableField("FILE_TOTAL_SPACE")
    private String fileTotalSpace;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


}
